__GDPrivilegedAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class __GDPrivilegedAccess

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.__GDPrivilegedAccess

    public class __GDPrivilegedAccess

extends java.lang.Object

Don't use this at home!

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static InputAction` | `INPUT_ACTION_RESET_FUEL_CONSUMPTION`
`static InputAction` | `INPUT_ACTION_RESET_LAPTIMES_CACHE`
`static InputAction` | `INPUT_ACTION_RESET_TOPSPEEDS`

Constructor Summary
`__GDPrivilegedAccess()`

Method Summary
`static void` | `applyEditorPresets(EditorPresets editorPresets, LiveGameData gameData)`
`static void` | `decEngineBoostMapping(TelemetryData telemData, VehiclePhysics.Engine engine)`
`static void` | `incEngineBoostMapping(TelemetryData telemData, VehiclePhysics.Engine engine)`
`static void` | `loadFromPhysicsFiles(java.lang.String gameId, ProfileInfo profileInfo, TrackInfo trackInfo, VehiclePhysics physics)`
`static void` | `loadFromStream(java.io.InputStream in, CommentaryRequestInfo commentaryInfo, boolean isEditorMode)`
`static void` | `loadFromStream(java.io.InputStream in, GraphicsInfo graphicsInfo, boolean isEditorMode)`
`static void` | `loadFromStream(java.io.InputStream in, ScoringInfo scoringInfo, EditorPresets editorPresets)`
`static void` | `loadFromStream(java.io.InputStream in, TelemetryData telemetryData, boolean isEditorMode)`
`static java.lang.Float` | `loadFuelUsageFromCache(GameFileSystem fileSystem, java.lang.String modName, java.lang.String trackName, java.lang.String teamName)`
`static boolean` | `loadSetup(LiveGameData gameData)`
`static void` | `onSessionEnded(LiveGameData gameData)`
`static void` | `onSessionStarted(LiveGameData gameData, boolean isEditorMode)`
`static void` | `onSessionStarted2(LiveGameData gameData, boolean isEditorMode)`
`static void` | `parsePhysicsFiles(java.io.File cchFile, java.io.File vehicleFile, java.lang.String trackName, VehiclePhysics physics)`
`static void` | `setAllWidgetsDirty(WidgetsConfiguration widgetsConfig)`
`static void` | `setControlledVSIs(ScoringInfo scoringInfo, VehicleScoringInfo controlledViewedVSI, VehicleScoringInfo controlledCompareVSI)`
`static void` | `setEngineBoostMapping(int boost, TelemetryData telemData)`
`static boolean` | `setGameResolution(int gameResX, int gameResY, WidgetsConfiguration widgetsConfig)`
`static void` | `setRealtimeMode(boolean realtimeMode, LiveGameData gameData, boolean isEditorMode)`
`static void` | `setTelemVect3(float x, float y, float z, TelemVect3 vect)`
`static void` | `setTempBoostFlag(TelemetryData telemData, boolean tempBoostFlag)`
`static void` | `setUpdatedInTimescope(VehicleSetup setup)`
`static boolean` | `setViewport(int x, int y, int w, int h, GameResolution gameRes)`
`static void` | `toggleFixedViewedVSI(ScoringInfo scoringInfo)`
`static void` | `updateInfo(LiveGameData gameData)`
`static void` | `updateModInfo(ModInfo modInfo)`
`static boolean` | `updateProfileInfo(ProfileInfo profileInfo)`
`static void` | `updateSessionTime(LiveGameData gameData, boolean isEditorMode, long timestamp)`
`static void` | `updateTrackInfo(TrackInfo trackInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT_ACTION_RESET_FUEL_CONSUMPTION

    public static final InputAction INPUT_ACTION_RESET_FUEL_CONSUMPTION

### INPUT_ACTION_RESET_TOPSPEEDS

    public static final InputAction INPUT_ACTION_RESET_TOPSPEEDS

### INPUT_ACTION_RESET_LAPTIMES_CACHE

    public static final InputAction INPUT_ACTION_RESET_LAPTIMES_CACHE

Constructor Detail

### __GDPrivilegedAccess

    public __GDPrivilegedAccess()

Method Detail

### updateProfileInfo

    public static final boolean updateProfileInfo(ProfileInfo profileInfo)

### updateModInfo

    public static final void updateModInfo(ModInfo modInfo)

### updateTrackInfo

    public static final void updateTrackInfo(TrackInfo trackInfo)

### updateInfo

    public static final void updateInfo(LiveGameData gameData)

### setUpdatedInTimescope

    public static final void setUpdatedInTimescope(VehicleSetup setup)

### loadFromPhysicsFiles

    public static final void loadFromPhysicsFiles(java.lang.String gameId,
                                                  ProfileInfo profileInfo,
                                                  TrackInfo trackInfo,
                                                  VehiclePhysics physics)

### parsePhysicsFiles

    public static void parsePhysicsFiles(java.io.File cchFile,
                                         java.io.File vehicleFile,
                                         java.lang.String trackName,
                                         VehiclePhysics physics)
                                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### loadSetup

    public static final boolean loadSetup(LiveGameData gameData)

### applyEditorPresets

    public static final void applyEditorPresets(EditorPresets editorPresets,
                                                LiveGameData gameData)

### loadFromStream

    public static final void loadFromStream(java.io.InputStream in,
                                            TelemetryData telemetryData,
                                            boolean isEditorMode)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFromStream

    public static final void loadFromStream(java.io.InputStream in,
                                            ScoringInfo scoringInfo,
                                            EditorPresets editorPresets)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFromStream

    public static final void loadFromStream(java.io.InputStream in,
                                            CommentaryRequestInfo commentaryInfo,
                                            boolean isEditorMode)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFromStream

    public static final void loadFromStream(java.io.InputStream in,
                                            GraphicsInfo graphicsInfo,
                                            boolean isEditorMode)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### onSessionStarted

    public static final void onSessionStarted(LiveGameData gameData,
                                              boolean isEditorMode)

### onSessionStarted2

    public static final void onSessionStarted2(LiveGameData gameData,
                                               boolean isEditorMode)

### onSessionEnded

    public static final void onSessionEnded(LiveGameData gameData)

### setRealtimeMode

    public static final void setRealtimeMode(boolean realtimeMode,
                                             LiveGameData gameData,
                                             boolean isEditorMode)

### updateSessionTime

    public static final void updateSessionTime(LiveGameData gameData,
                                               boolean isEditorMode,
                                               long timestamp)

### setEngineBoostMapping

    public static final void setEngineBoostMapping(int boost,
                                                   TelemetryData telemData)

### incEngineBoostMapping

    public static final void incEngineBoostMapping(TelemetryData telemData,
                                                   VehiclePhysics.Engine engine)

### decEngineBoostMapping

    public static final void decEngineBoostMapping(TelemetryData telemData,
                                                   VehiclePhysics.Engine engine)

### setTempBoostFlag

    public static final void setTempBoostFlag(TelemetryData telemData,
                                              boolean tempBoostFlag)

### setTelemVect3

    public static final void setTelemVect3(float x,
                                           float y,
                                           float z,
                                           TelemVect3 vect)

### loadFuelUsageFromCache

    public static java.lang.Float loadFuelUsageFromCache(GameFileSystem fileSystem,
                                                         java.lang.String modName,
                                                         java.lang.String trackName,
                                                         java.lang.String teamName)

### setGameResolution

    public static final boolean setGameResolution(int gameResX,
                                                  int gameResY,
                                                  WidgetsConfiguration widgetsConfig)

### setViewport

    public static final boolean setViewport(int x,
                                            int y,
                                            int w,
                                            int h,
                                            GameResolution gameRes)

### toggleFixedViewedVSI

    public static final void toggleFixedViewedVSI(ScoringInfo scoringInfo)

### setControlledVSIs

    public static final void setControlledVSIs(ScoringInfo scoringInfo,
                                               VehicleScoringInfo controlledViewedVSI,
                                               VehicleScoringInfo controlledCompareVSI)

### setAllWidgetsDirty

    public static final void setAllWidgetsDirty(WidgetsConfiguration widgetsConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD